geos::index::chain::MonotoneChainOverlapAction Class Reference

The action for the internal iterator for performing overlap queries on a MonotoneChain. More...

`#include <MonotoneChainOverlapAction.h>`

Inheritance diagram for geos::index::chain::MonotoneChainOverlapAction:

## Public Member Functions

virtual void | overlap (const MonotoneChain &mc1, std::size_t start1, const MonotoneChain &mc2, std::size_t start2)
| This function can be overridden if the original chains are needed.
virtual void | overlap (const geom::LineSegment &, const geom::LineSegment &)
| This is a convenience function which can be overridden to obtain the actual line segments which overlap.

## Protected Attributes

geom::LineSegment | overlapSeg1
geom::LineSegment | overlapSeg2

## Detailed Description

The action for the internal iterator for performing overlap queries on a MonotoneChain.

## Member Function Documentation

## overlap() [1/2]

virtual void geos::index::chain::MonotoneChainOverlapAction::overlap | ( | const geom::LineSegment & | ,
|  | const geom::LineSegment & | )

inline virtual

This is a convenience function which can be overridden to obtain the actual line segments which overlap.

param seg1 param seg2

## overlap() [2/2]

virtual void geos::index::chain::MonotoneChainOverlapAction::overlap | ( | const MonotoneChain & | mc1,
|  | std::size_t | start1,
|  | const MonotoneChain & | mc2,
|  | std::size_t | start2 )

virtual

This function can be overridden if the original chains are needed.

Parameters

  mc1 | a MonotoneChain
  mc2 | a MonotoneChain
  start1 | the index of the start of the overlapping segment from mc1
  start2 | the index of the start of the overlapping segment from mc2

Reimplemented in geos::operation::relateng::EdgeSegmentOverlapAction.

The documentation for this class was generated from the following file:

- MonotoneChainOverlapAction.h